# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_SurfaceStyleFillArea Class Reference

`#include <StepVisual_SurfaceStyleFillArea.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_SurfaceStyleFillArea ()
| Returns a SurfaceStyleFillArea .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_FillAreaStyle)&aFillArea)
Standard_EXPORT void | SetFillArea (const Handle(StepVisual_FillAreaStyle)&aFillArea)
Standard_EXPORT Handle_StepVisual_FillAreaStyle | FillArea () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepVisual_FillAreaStyle | fillArea

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_SurfaceStyleFillArea::StepVisual_SurfaceStyleFillArea | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_FillAreaStyle StepVisual_SurfaceStyleFillArea::FillArea | ( |  | ) | const

Standard_EXPORT const StepVisual_SurfaceStyleFillArea::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_SurfaceStyleFillArea::Init | ( | const Handle(StepVisual_FillAreaStyle)& | aFillArea | ) | `[virtual]`

Standard_EXPORT void StepVisual_SurfaceStyleFillArea::SetFillArea | ( | const Handle(StepVisual_FillAreaStyle)& | aFillArea | ) |

## Field Documentation

Handle_StepVisual_FillAreaStyle StepVisual_SurfaceStyleFillArea::fillArea `[private]`

The documentation for this class was generated from the following file:

- StepVisual_SurfaceStyleFillArea.hxx